<?php if($this->session->flashdata('success')): ?>
    <div class="row">
        <div class="alert alert-block alert-success" style="margin-bottom: 5px">
            <button type="button" class="close" data-dismiss="alert">
                <i class="ace-icon fa fa-times"></i>
            </button>
            <i class="ace-icon fa fa-check green"></i>
            <?php echo $this->session->flashdata('success'); ?>
        </div>
    </div>
<?php endif; ?>
<?php if($this->session->flashdata('error')): ?>
    <div class="row">
        <div class="alert alert-block alert-danger" style="margin-bottom: 5px">
            <button type="button" class="close" data-dismiss="alert">
                <i class="ace-icon fa fa-times"></i>
            </button>
            <i class="ace-icon fa fa-times"></i>
            <?php echo $this->session->flashdata('error'); ?>
        </div>
    </div>
<?php endif; ?>

<div class="row">
    <?php /*echo form_open(base_url().'backend/cmsRanking/listByWeeklyAjax'); */?>
    <div class="col-lg-3">
        <select class="form-control" name="input-name" id="input-name">
        <?php
        $listSearch= $this->report_views_weekly_model->selectSearch();
            foreach ($listSearch as $data):
        ?>
            <option value = "<?php echo $data['week'].'-'.$data['year']; ?>">Tuần <?php echo $data['week']; ?> (Năm <?php echo $data['year']; ?>)</option>
        <?php
            endforeach;
        ?>
        </select>
    </div>
    <div class="col-lg-1">
        <a href="" id="btn-export">
            <button class="btn btn-sm btn-warning"><i class="fa fa-download"></i> Export ra Excel</button>
        </a>
    </div>
    <?php /*echo form_close(); */?>
</div>
<!-- /.row -->
<div class="space-6"></div>
<div class="row" >
    <div style="text-align: center" id="data-loading">
        <i class="fa fa-refresh fa-spin bigger-200"></i> Đang tải dữ liệu...
    </div>
    <div class="col-lg-12">
        <div id="div-response"></div>
    </div>
</div>

<script type="text/javascript">
    //Thuc hien viec ve bieu do$data
    $(document).ready(function() {
        var url = '<?php echo base_url("backend/cmsRanking/listByWeeklyAjax"); ?>';
        // Tìm kiếm theo cú pháp
        var oldTimeout2 = '';
        $('#input-name').change(function(){
            updateExportLink();
            clearTimeout(oldTimeout2);
            oldTimeout2 = setTimeout(function(){
                loadDataByAjaxFromInput(url);
            }, 250);
        });

        changePagination('0');
        updateExportLink();
        
    });
    //Ham chung cho cac input
    function loadDataByAjaxFromInput(url){
        $('#data-loading').show();
        var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
        var fByName = $("#input-name").val();
        //Ajax ve bieu do
        $.ajax({
            type: "POST",
            url: url,
            data: {
                csrf_name: csrf_value,
                fByName: fByName
            },
            dataType: "text",
            cache: false,
            success: function(data){
                $('#div-response').html(data);
                $('#data-loading').hide();
            }
        });
    }
    //Ham chung cho cac SelectBox
    function loadDataByAjaxFromSelectBox(id, url){
        $('#'+id).change(function(){
            $('#data-loading').show();
            var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
            var fByName = $("#input-name").val();
            //Ajax ve bieu do
            $.ajax({
                type: "POST",
                url: url,
                data: {
                    csrf_name: csrf_value,
                    fByName: fByName
                },
                dataType: "text",
                cache: false,
                success: function(data){
                    $('#div-response').html(data);
                    $('#data-loading').hide();
                }
            });
        });
    }

    function loadDataByAjaxDateRange(dtFrom, dtTo, url){
        $('#data-loading').show();
        var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
        var fByName = $("#input-name").val();
        // ajax
        $.ajax({
            type: "POST",
            url: url,
            data: {
                csrf_name: csrf_value,
                fByName: fByName
            },
            dataType: "text",
            cache: false,
            success: function(data){
                $('#div-response').html(data);
                $('#data-loading').hide();
            }
        });
    }

    function changePagination(pageId) {
        $('#data-loading').show();
        var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
        var url = '<?php echo base_url()."backend/cmsRanking/listByWeeklyAjax"; ?>';
        var fByName = $("#input-name").val();
        //Ajax ve bieu do\
        $.ajax({
            type: "POST",
            url: url,
            data: {
                csrf_name: csrf_value,
                fByName: fByName,
                pageId: pageId
            },
            dataType: "text",
            cache: false,
            success: function(data){
                $('#div-response').html(data);
                $('#data-loading').hide();
            }
        });
    }
    
    function updateExportLink() {
        var href = '<?php echo base_url("backend/cmsRanking/exportReport/week"); ?>/' + $("#input-name").val();
        $('#btn-export').attr('href', href);
    }

</script>